NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
dbg 2.14 - dbg.so not loading


Joined: 19 Apr 2004
Posts: 3
Reply with quote
Hi,

After using dbg 2.11 (works perfectly) i wanted to try out phpEd 3.2, which gave me the error, that my dbg.so was too old..

so I replaced my old dbg.so with the new one included with phpEd3.2 (I chose the correct Version corresponding with my php-Version 4.2.3)

BUT:
php fails to load the new dbg.so!
I turned on error-reporting in PHP.
It gives me following error:

[19-Apr-2004 03:50:54] PHP Warning: Unable to load dynamic library '/usr/local/lib/php/extensions/dbg.so' - /usr/local/lib/php/extensions/dbg.so: undefined symbol: compiler_globals in Unknown on line 0

I doublechecked the correct switches in php.ini :

extension=dbg.so

[Debugger]
debugger.enabled=on
debugger.profiler_enabled=on
debugger.hosts_allow=172.16.198.110
debugger.hosts_deny=ALL
debugger.ports=7869, 10000/16

---

so please, what am I doing wrong ??

THANX!
Ed
View user's profileFind all posts by LightnicusSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7901
Reply with quote
It must be a fun Smile
PHPED 3.2 does not contain dbg.so Smile
Please recheck. You can find there dbg.so-4.2.1, dbg.so-4.2.2 etc, all but dbg.so. They all are php-version depended. Also, take care of platform. If you run FreeBSD, you'd take dbg module for FreeBSD only.
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 19 Apr 2004
Posts: 3
Reply with quote
hi..

I probably didn't write my question correctly.
Of course there is only dbg.so-4.3.2 and so on..
I picked the correct file: dbg.so-4.3.2 and referenced to it in php.ini

If the only problem would be a wrong filename, then I would have had another type of error, right ? But php finds the extension without problems.

and of course I picked the correct OS-Version (Linux, I have Suse 7.3 installed)..

Its not one of the obvious mistakes, its something I can not find.. Any other ideas ?

thanx for your help!
Ed
View user's profileFind all posts by LightnicusSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7901
Reply with quote
I heard that some linux version are distributed with cumbersome compiled php.
I'd recommend you compile php by yourself. It's very easy and will work, _definitely_.
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 19 Apr 2004
Posts: 3
Reply with quote
Thanx for your help Dimitri!

I compiled the newest Version of PHP myself and now it works like a charm.
(and it was really not that hard)

Notice for all: dbg.so-4.3.3 works with PHP 4.3.6 without Problems (at least over here Smile )
View user's profileFind all posts by LightnicusSend private message
dbg 2.14 - dbg.so not loading
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic